#
# spec file for package xlock (Version 4.17.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp gppshare libgpp mesa mesa-devel mesasoft xf86 xf86glu xf86glu-devel xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         xlock
Copyright:    1988-1991 Patrick J. Naughton, 1993-1998 David A. Bagley
Group:        X11/Utilities
Provides:     xlockmore
Autoreqprov:  on
Version:      4.17.2
Release:      39
Summary:      A screen saver
URL:          http://www.tux.org/~bagleyd/xlockmore.html
Source:       xlockmore-%{version}.tar.bz2
Source1:      xlock.pamd
Patch:        xlockmore-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-BUILD

%description
Patrick J. Naughton's _xlock_ screensaver/locker for X, with many
more modes added by David A. Bagley.
For security reasons we now have xlock sgid shadow instead of suid
root. If you use a yp-server which only gives passwords to programs
running as user "root", you have to change xlock back to suid-root.

Authors:
--------
    David Albert Bagley <bagleyd@bigfoot.com>
    Patrick J. Naughton <naughton@eng.sun.com>

SuSE series: xap

%prep
%setup -n xlockmore-%{version}
%patch
#remove from cartoon mode due to a copyright problems
rm pixmaps/calvin2.xpm
rm pixmaps/gravity.xpm
rm pixmaps/calvin4.xpm
rm pixmaps/calvinf.xpm
rm pixmaps/hobbes.xpm
rm pixmaps/calvin.xpm
rm pixmaps/marino2.xpm
rm pixmaps/calvin3.xpm
rm pixmaps/garfield.xpm
rm pixmaps/dragon.xpm
rm pixmaps/cal_hob.xpm

%build
%{?suse_update_config:%{suse_update_config -f}}
./configure --prefix=/usr/X11R6 --without-motif --without-gtk --enable-pam --disable-bomb
make
mv xlock/xlock xlock-mesa
make distclean
./configure --prefix=/usr/X11R6 --without-motif --without-gtk --enable-pam --disable-bomb --without-mesagl --without-opengl
make

%install
install -d -m 755 ${RPM_BUILD_ROOT}/etc/pam.d
install -d -m 755 ${RPM_BUILD_ROOT}/usr/X11R6/include/X11/bitmaps/
install -d -m 755 ${RPM_BUILD_ROOT}/usr/X11R6/include/X11/pixmaps/
install -d -m 755 ${RPM_BUILD_ROOT}/usr/X11R6/bin/
install -d -m 755 ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/app-defaults/
install -d -m 755 ${RPM_BUILD_ROOT}/usr/X11R6/man/man1/
install -m 644 bitmaps/*.xbm ${RPM_BUILD_ROOT}/usr/X11R6/include/X11/bitmaps/
install -m 644 pixmaps/*.xpm ${RPM_BUILD_ROOT}/usr/X11R6/include/X11/pixmaps/
install -s -g shadow -m 2755 xlock/xlock ${RPM_BUILD_ROOT}/usr/X11R6/bin/
install -s -g shadow -m 2755 xlock-mesa ${RPM_BUILD_ROOT}/usr/X11R6/bin/
install -m 644 xlock/XLock.ad ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/app-defaults/XLock
install -m 644 xlock/xlock.man ${RPM_BUILD_ROOT}/usr/X11R6/man/man1/xlock.1x
install -m 644 $RPM_SOURCE_DIR/xlock.pamd ${RPM_BUILD_ROOT}/etc/pam.d/xlock

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc /usr/X11R6/man/man1/xlock.1x.gz
%config /etc/pam.d/xlock
%config /usr/X11R6/lib/X11/app-defaults/XLock
/usr/X11R6/bin/xlock
/usr/X11R6/bin/xlock-mesa
/usr/X11R6/include/X11/bitmaps/*
/usr/X11R6/include/X11/pixmaps/*

%changelog -n xlock
* Fri Aug 24 2001 - schwab@suse.de
- Fix conflicting declaration.
* Tue Aug 14 2001 - ro@suse.de
- Don't use absolute paths to PAM modules in PAM config files
* Thu Aug 09 2001 - dan@suse.cz
- update to the latest stable (4.17.2)
* Mon Jun 25 2001 - pblaha@suse.cz
- remove mode cartoon due to a copyright problems
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Wed Feb 07 2001 - uli@suse.de
- fixed for glibc 2.2.1
- removed cracklib, pam from neededforbuild
* Mon Jan 22 2001 - schwab@suse.de
- Fix conflicting declarations.
- Add %%suse_update_config.
* Thu Aug 17 2000 - smid@suse.cz
- format string security bug fixed
* Wed May 24 2000 - smid@suse.cz
- mesadev added to needeforbuild
* Tue Apr 18 2000 - smid@suse.cz
- buildroot added
- upgrade to 4.16
* Thu Mar 23 2000 - ro@suse.de
- fixed to compile on both xf86
* Fri Jan 07 2000 - kukuk@suse.de
- Update to 4.15
* Sat Oct 16 1999 - kukuk@suse.de
- Build one version with and one without Mesa.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 01 1999 - kukuk@suse.de
- Link against Mesa
* Wed Jun 30 1999 - kukuk@suse.de
- Don't give egid away, it's needed for reading shadow
* Mon Jun 28 1999 - kukuk@suse.de
- update to 4.14
* Tue Jun 08 1999 - kukuk@suse.de
- update 4.12 -> 4.13.1
- Compile with PAM
* Tue Jan 12 1999 - uli@suse.de
- update 4.04 -> 4.12
* Tue Oct 14 1997 - ro@suse.de
- updated file list
  ready for autobuild
* Fri Oct 10 1997 - florian@suse.de
- update to version 4.04
* Sun Jun 22 1997 - florian@suse.de
- update to version 4.02.1
* Wed Apr 30 1997 - florian@suse.de
- make xlock sgid "shadow" and not suid "root"
* Sun Apr 27 1997 - bs@suse.de
- update to new version 4.02 (security fix)
* Sun Apr 13 1997 - florian@suse.de
- update to new version 4.01
- do not enable automatic logout button
* Sun Feb 02 1997 - florian@suse.de
- update to new version 3.13
* Thu Jan 02 1997 - florian@suse.de
- update from beta-version to official 3.12
* Thu Jan 02 1997 - florian@suse.de
- update to newest version 3.12BETA due to security problems
* Thu Jan 02 1997 - florian@suse.de
  update to new version 3.10
